org.apache.poi.ss.usermodel

## Enum PrintOrientation

- java.lang.Object
- - java.lang.Enum<PrintOrientation>
  - - org.apache.poi.ss.usermodel.PrintOrientation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PrintOrientation>

      public enum PrintOrientation
      extends java.lang.Enum<PrintOrientation>

  The enumeration value indicating the print orientation for a sheet.
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` orientation not specified
    `LANDSCAPE` landscape orientations
    `PORTRAIT` portrait orientation

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static PrintOrientation` | `valueOf(int value)`
    `static PrintOrientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PrintOrientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final PrintOrientation DEFAULT

      orientation not specified

    - #### PORTRAIT

          public static final PrintOrientation PORTRAIT

      portrait orientation

    - #### LANDSCAPE

          public static final PrintOrientation LANDSCAPE

      landscape orientations

  - ### Method Detail

    - #### values

          public static PrintOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrintOrientation c : PrintOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrintOrientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### valueOf

          public static PrintOrientation valueOf(int value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.